# -*- coding: utf-8 -*-
documentation = [
_(u"""# Changelog"""),
"",
_(u"""## News in this  version"""),
"",
_(u"""## new additions"""),
"",
_(u"""* the spelling correction module is able to add words to the dictionary so it will learn which words should start to ignore."""),
"",
_(u"""### bugfixes"""),
"",
_(u"""* Now it is possible to perform authentication in accounts using two factor verification again. This issue was caused due to a recent change in the VK workflow for two factor verification processes."""),
"",
_(u"""### Changes"""),
"",
_(u"""* The spelling correction module has been rewritten to take advantage of the newest enchant Python module which is more stable and can be added properly to the distribution, as opposed to the first enchant module we have tried."""),
_(u"""* Better performance on Socializer should be noticed for users with many conversations opened. Before, socializer could freeze while loading all messages in conversations. Now that should work more efficiently and the application should not stop responding."""),
"",
_(u"""## News in Version 0.24"""),
"",
_(u"""### New additions"""),
"",
_(u"""* Socializer will ask for confirmation before closing the application."""),
_(u"""* In all audio buffers, there is a new item in the context menu that allows downloading of the audio directly from the buffer. If there are multiple audios selected, socializer will ask for a folder where  all audios should be placed. When downloading multiple audios, socializer will name those automatically by following the template "song title - artist"."""),
_(u"""* In all audio buffers, there are two new menu items for selecting and deselecting all items in the buffer."""),
_(u"""* Added displaying of articles as attachments in wall posts. When opened, Socializer will open the article in the web browser."""),
_(u"""* Starting from Version 0.24, there will be an installer for the Alpha version of socializer, always available from our downloads page."""),
"",
_(u"""### bugfixes"""),
"",
_(u"""* Fixed an error that was making socializer unable to render correctly certain Links containing uppercase letters (such as yandex.disk shared links). Before, those links were giving 404 errors when pressed, now they should work normally. This error was present in wall posts, comments, topics and chat messages."""),
_(u"""* Fixed an error related to chat notifications in Socializer. Before, the "online now" notification could break the Socializer interface, making it unable to load the chat in real time."""),
_(u"""* Fixed a small inconsistency when marking a conversation as read. Before, if two messages were sent by the recipient, only the last message was marked as read and the previous was making the unread sound all the time. Now that issue should be handled properly."""),
"",
_(u"""### Changes"""),
"",
_(u"""* Socializer will not be marked as Virus by most antivirus softwares due to a new build tool which is cleaner and less prone to be flagged by antivirus."""),
_(u"""* Socializer is distributed with the Microsoft C++ redistributable package, so everyone will be able to use the software without needing to install any extra package."""),
_(u"""* Replaced the underlying library  we were using for spelling correction as is no longer in development. Instead, we started to use a new approach in socializer, which, in theory, should allow us to switch language for spelling correction and other benefits a bit later. For now, available languages are Russian, Ukranian, English, Polish and Spanish, but more languages can be added by request."""),
_(u"""* When downloading a file (such as an audio file or document), the download process should be relatively faster due to some optimizations made in the function."""),
_(u"""* Socializer now uses just the first name of users in typing notifications."""),
_(u"""* socializer should be able to inform users about common errors when sending chat messages (such as sending messages to people in the current user's blacklist or banned from VK). Later, more errors related to posts will be added."""),
_(u"""* The application will load up to 100 audio albums instead of the default 10."""),
"",
_(u"""## Changes in Version 0.23 (11.11.2019)"""),
"",
_(u"""### New additions"""),
"",
_(u"""* Socializer is now more tolerant to internet issues. When attempting to create a wall post, comment, topic or send a chat message, if the data is unable to be posted to VK, socializer will allow you to try to post it again, giving you the opportunity to edit or copy the text of the post in case you want to save it for later."""),
_(u"""* Switching accounts is now supported in socializer. In the application menu, there is an option called "manage accounts" which allows you to add or remove an account. Socializer will take changes after a restart of the application. In case of having multiple accounts, every time Socializer starts, you will see a dialog from where is possible to choose the account for logging in."""),
_(u"""* when selecting multiple audio files in audio buffers, multiple actions can be performed in all items, these actions are present in the contextual menu of the buffer (namely play, add/remove from the library and move to a different playlist). This means you can select all the audios you want and Socializer will perform the selected options in all items, making it a bit easier to operate with multiple songs."""),
_(u"""* Now it is possible to like and see who liked a comment when displaying it individually. This applies to comments in wall posts and topics."""),
_(u"""* Now it is possible to choose how many items Socializer will load in conversation buffers, from the General tab in the preferences dialog. The default value is 50 items, and the maximum value is 200."""),
_(u"""* There is a new tab called buffer settings, in the preferences dialog. Settings related to how many items should be loaded in certain buffer types have been moved to this tab, so it will separate better the configuration options in the application."""),
_(u"""* Added management of the Blacklist on VK. Users can be blocked from people buffers (friends, online, or any buffer inside friend requests). You can access the blacklist from the application menu, located in the menu bar. From there, you can unblock any previously blocked user."""),
_(u"""* In the new timeline dialog, it is possible to create video buffers by selecting the "video" radio button as buffer type."""),
"",
_(u"""### bugfixes"""),
"",
_(u"""* Fixed an error that was causing socializer to not update the "Online friends" buffer if chat notifications were disabled."""),
_(u"""* Fixed an error that was making Socializer unable to attach audio files from the computer, if the file does not include correct ID3 TAGS."""),
_(u"""* Fixed a traceback that was being logged when attempting to load an image but cancel the dialog for attaching it."""),
_(u"""* Fixed an error that was making Socializer to fail when loading the newsfeed buffer, thus not loading any other buffers. This error was caused due to VK sending a new object type representing push subscriptions. The item is ignored by Socializer so it will not break the newsfeed buffer anymore."""),
_(u"""* Fixed an error that was making the status bar to not fit the full size of the Window. This was cutting the messages placed on it, now, all messages are displayed properly again."""),
_(u"""* fixed an unhandled condition when playing a song and voice message at the same time, that was potentially making Socializer to stop loading certain buffers."""),
_(u"""* fixed an error that was making socializer unable to parse video data, thus video buffers were impossible to be loaded."""),
"",
_(u"""### Changes"""),
"",
_(u"""* Less confidential user data will be send to the logs, so it will be much safer to pass logs publicly."""),
_(u"""* automatic update checks will be disabled if using socializer from the source code."""),
_(u"""* it is possible to post in an user's wall by using the post button located next to the user, in people buffers. This applies only to online users and list of friends."""),
_(u"""* When displaying a profile, information about mobile and home phone is displayed in the basic information tab."""),
_(u"""* In wall posts, all comments, including replies, will be displayed in the same list. Before, you had to open a comment to read its replies. When a new comment is posted by the current user, the list of comments will be reloaded and new additions will be fetched and sorted properly."""),
"",
_(u"""## changes in Versions 0.21 and 0.22 (14.07.2019)"""),
"",
_(u"""### New additions"""),
"",
_(u"""* Added "post in groups" feature. In order to do so, you need to load the posts for the group where you want to send something. Once loaded, go to the post button in the group's wall and select whether you want to post in the group's behalf or as yourself."""),
_(u"""* In all audio buffers, it is possible to select individual tracks to be played together. In order to do so, you need to press space to start the selection of items. When selected, the item will emit a sound to indicate the change. Press space in all items you want to select/unselect. When you're focusing an already selected item it will play a sound to indicate that it is already selected. Once you're done with your selection, pressing enter in the list of tracks will start the playback of the list of items you have selected. This is a very experimental feature. More actions can be supported based in this selection method if it proves to be useful."""),
_(u"""* In conversation buffers, it is possible to display and open wall posts sent as attachments in messages."""),
_(u"""* In people buffers, it is possible to create a new timeline by using the context menu while focusing an user. This method will create the buffer for the selected user, as opposed to creating the buffer from the menu bar, where you have to type the username or find it in a list."""),
"",
_(u"""### bugfixes"""),
"",
_(u"""* Fixed an error with two factor authentication in the recent socializer version. Now it works reliably again."""),
_(u"""* Fixed an error when trying to attach a photo to a wall post. The error was fixed in the [vk_api](https://github.com/python273/vk_api) module and the fix was sent to the developer of the library, so he will be able to merge it in the next version. In the meantime, socializer already includes the fix for this method, so you can upload photos to wall posts normally."""),
_(u"""* Fixed an error retrieving some group information for the current session."""),
_(u"""* When posting in a topic, links will be posted properly."""),
"",
"",
_(u"""### Changes"""),
"",
_(u"""* the audio player module has received some improvements:"""),
_(u"""    - When there is something being played, the label of the "play" button, located in all audio buffers, will change automatically to "pause". When pressed, it will pause the song instead of starting the playback again since the beginning."""),
_(u"""    - The last change will work also in the dialog for displaying audio information. Now it's possible to play and pause an audio from such dialog."""),
_(u"""    - When playing a voice message, if a song is playing already socializer will decrease the volume so you can hear the voice message well enough. Some seconds after the message has finished, the song's volume will be restored."""),
_(u"""* In audio buffers, you will play the focused audio when pressing enter in the item, instead of opening the audio information dialog."""),
_(u"""* Removed some old keystrokes in socializer buffers due to better alternatives. The reason for this change is that currently you don't need to be focusing an item in a buffer for being able to use the alternative keystrokes, which makes those a better implementation."""),
_(u"""    - Control+Enter and control+Shift+Enter: superseeded by Control+P for playing (and pausing) the currently focused audio."""),
_(u"""    - F5 and F6: superseeded by Alt+down and up arrows for modifying volume."""),
"",
_(u"""## changes in version 0.20 (25.04.2019)"""),
"",
_(u"""### New additions"""),
"",
_(u"""* For users with multiple soundcards, there is a new tab in the preferences dialogue of Socializer, called sound. From there, you can define which soundcard will be used for input and output. [#25,](https://code.manuelcortez.net/manuelcortez/socializer/issues/25)"""),
_(u"""* the audio player can seek positions in the currently playing track. You can use the menu items (located in the main menu) or use the new available keystrokes dedicated to the actions. Seeking will be made in 5 second intervals."""),
_(u"""    * Alt+Shift+Left arrow: Seek 5 seconds backwards."""),
_(u"""    * Alt+Shift+Right arrow: Seek 5 seconds forwards."""),
_(u"""* it is possible to select the language used in socializer from the preferences dialog. When changing the language, the application must be restarted for the changes to take effect."""),
_(u"""* A new option, called open in vk.com, has been added in the context menu for almost all objects (items in home timeline, walls, documents, people, group topics and in buffers for conversations). This option will open the selected item in the VK website."""),
_(u"""* when opening the list of friends added by an user, you can display the context menu from an item on the list and view the user profile, open it in VK.com, among other actions. [#8,](https://code.manuelcortez.net/manuelcortez/socializer/issues/8)"""),
_(u"""* When displaying a post, if you press enter in the button indicating how many people liked or shared the post, Socializer will display the listt of people who have liked or shared it. You can use the context menu in the list to do certain actions. [#38,](https://code.manuelcortez.net/manuelcortez/socializer/issues/38)"""),
_(u"""* it is possible to retrieve more items for conversation buffers. Due to API limitations, it is possible to load up to the last 600 messages for every conversation. Take into account that the process of loading more items takes some time. You will hear a message when the process is done."""),
_(u"""* It is possible to delete entire conversations from the buffer's tree, by using the menu key and selecting "delete conversation". The conversation will be removed from VK."""),
_(u"""* When loading a topic in a group, socializer will display the latest 100 messages. In order to load more messages, you will find a button that will load the previous 100 messages present in the topic, or the amount of messages not loaded yet."""),
"",
_(u"""### bugfixes"""),
"",
_(u"""* All spelling dictionaries are included by default for the following languages: Russian, English, German, French, italian, Polish, spanish and Turkish. Before, some dictionaries were missing and the spelling checker was failing."""),
_(u"""* Fixed an error in the default configuration template used for new sessions in the application. This error was making Socializer to fail when loading any conversation buffer."""),
_(u"""* Fixed an error in the algorithm to detect friends disconnecting from VK. This problem was interrupting the connection with  the chat server every time it was happening, thus chat server's connection should be more reliable now."""),
_(u"""* The audio player should behave better in situations where a song is interrupted. Before, if you pressed "next song" while the currently playing sound was interrupted due to internet connection issues, two or more songs were played at the same time."""),
_(u"""* The bug reporting feature works normally again."""),
"",
_(u"""### Changes"""),
"",
_(u"""* Updated method for accessing audio files due to the latest changes on VK apps."""),
_(u"""* When changing volume of the playing audio, it will decrease or increase the volume by 2% instead of 5%. """),
_(u"""* Read confirmations will be sent to VK as soon as you read the message. Before, read confirmations were being sent every 3 minutes to the social network."""),
"",
_(u"""## Changes in version 0.19 (13.03.2019)"""),
"",
_(u"""* Added a new buffer called documents. When loading the buffer, it will contain all documents owned by the current user. The context menu of any item will allow you to download the document to your computer or remove it from VK."""),
_(u"""* A new buffer, called online, has been added in the friends section. It contains friends currently connected to VK. Items in this buffer will be added as soon as new friends are online in the social network, and will be removed when friends are offline. This buffer needs a lot of testing. Please report any possible inconsistency on this method."""),
_(u"""* Added new options to open the config and logs folder, these options are located in the help menu and may be useful during error reporting."""),
_(u"""* Added experimental support to "subscribers" buffer, inside frienship requests. This shows friend requests that have been declined by the current user."""),
_(u"""* the message when an user is typing in conversation buffers will be announced only if the socializer window is focused."""),
_(u"""* In "my audios" buffer, there is a button that allows a direct audio upload from your computer. The audio will be placed in your library."""),
_(u"""* Added experimental support to user and community polls:"""),
_(u"""    * If the poll is already closed or the user has send a vote to the poll previously, it will display only the results of the poll."""),
_(u"""    * Otherwise it will display a dialog from where the user can vote in the current poll."""),
_(u"""* Fixed an error in Socializer that was making it unable to detect unread messages properly."""),
_(u"""* Socializer should save all tracebacks directly to error.log instead of displaying an error message during exit. ([#27,](https://code.manuelcortez.net/manuelcortez/socializer/issues/27))"""),
_(u"""* When displaying user profiles, fixed an error where a married person without specifing relation partner would cause an error in the program. ([#29,](https://code.manuelcortez.net/manuelcortez/socializer/issues/29))"""),
_(u"""* Socializer will load all conversations during startup, not only conversations with unread messages."""),
_(u"""* Added new global keystrokes, available in the main window."""),
_(u"""    * Alt + up/down arrows: Increase / decrease volume."""),
_(u"""    * Alt + Left/down arrows: Play previous and next song if playing an audios buffer."""),
_(u"""    * Control + P: Play/pause."""),
_(u"""    * control+Shift+P: Play all."""),
_(u"""* Fixed an error in the audio player that was skipping the first track if you were in the last song and pressed "play next" in the menu bar or via the keystroke."""),
_(u"""* Chats with unread messages will be placed at the top of the chats section. When a chat buffer receives a new message, socializer will move  the buffer to the first position in the chats list. This should make easier for everyone to determine which chats contain unread items. ([#24,](https://code.manuelcortez.net/manuelcortez/socializer/issues/24))"""),
_(u"""* In dialogs for displaying posts and comments, and also in the two edit boxes present in chat buffers, it is possible to select all by pressing Control+A."""),
_(u"""* Now it is possible to remove friends directly from the friends buffer. There is a new option for this purpose in the context menu for the focused friend. After being removed, the person will be placed in the subscribers buffer."""),
_(u"""* Deleted posts will display an error message when trying to view details about those. Before, the dialog was created and left blank."""),
_(u"""* Improvements in audio features present in Socializer:"""),
_(u"""    * The audio search feature has received improvements: Now it is possible to indicate wether the search will be performed by title or artist, and select to sort the results by duration, popularity or date of addition to VK."""),
_(u"""    * Now it is possible to create and delete audio albums again."""),
_(u"""    * Fixed errors when moving songs to albums. Now everything works as expected."""),
_(u"""* Added documents to the list of supported files when adding attachments to a wall post or private message."""),
_(u"""* It is possible to enable or disable proxy from the preferences dialog. The application must be restarted for this change to take effect."""),
_(u"""* Fixed an error that was making Socializer unable to display the changelog properly, when opened from the help menu. ([#21](https://code.manuelcortez.net/manuelcortez/socializer/issues/21))"""),
_(u"""* When receiving chat messages and in some other situations, socializer will display all characters properly. Before, usernames were rendered using the internal code VK uses for them, and some unicode characters were displaying their HTML representation."""),
_(u"""* It is possible to retrieve previous items for the home buffer and walls (current user's wall and any other timeline):"""),
_(u"""    * For the home buffer, only a limited amount of items (around 700) can be loaded, supposedly due to VK API limits."""),
_(u"""    * For walls, all posts should be possible to be loaded, however, testing with walls containing more than 2000 posts are not performed yet."""),
_(u"""* Added improvements to groups:"""),
_(u"""    * It is possible to load topics, audios, videos and documents for a group. In order to do so, you need to go to the group buffer and press the menu key, or right mouse click, in the tree item representing the group. New buffers will be created inside the current group's buffer."""),
_(u"""    * You can create or delete all buffers for groups by pressing the menu key or right mouse click in the "communities" buffer."""),
_(u"""    * There is  support for group topics. When opening them, they will be displayed as a list of posts. You can like or reply to such posts, as well as adding new posts in the topic."""),
_(u"""* Authentication errors should be handled gracefully by the application:"""),
_(u"""    * When there is a password change, Socializer must be reauthorized again. An error message will indicate this if the user forgot to do that. After the error, the app will be restarted, prompting the user to introduce the new data for authorizing the application."""),
_(u"""    * If the user introduced incorrect or invalid data, Socializer will display an error and prompt the user again for valid information."""),
_(u"""    * If there is a connection problem when opening Socializer, it will display an error and inform the user about the issue."""),
"",
_(u"""## Changes in version 0.18 (21.01.2019)"""),
"",
_(u"""* Changed authentication tokens in Socializer. It is mandatory to download a fresh copy of socializer and start a new configuration for your account."""),
_(u"""* Stable versions of Socializer are built with Python 3. Previous versions are built with Python 2, however support for Python 2 will be dropped very soon."""),
_(u"""* There is an installer file for Socializer, available in our downloads page. Installed version of Socializer will be more confortable for some people."""),
_(u"""* For users from countries where VK is not allowed, Socializer includes a proxy to bypass country restrictions. The first time you start socializer, it will ask you whether you need a proxy or not. It is suggested to use a proxy only if you need it."""),
_(u"""* Now it is possible to post in someone else's wall. When viewing a timeline of an user, the "post" button will post in his/her wall. To post in your own wall, you'll need to go to the newsfeed or your own wall and press the post button."""),
_(u"""* If you are not allowed to post in someone's wall, the post button will not be visible."""),
_(u"""* A new option for deleting wall posts has been added to the context menu in newsfeed and walls (current user's wall and timelines). This option will be visible only if the current user is allowed to delete the focused post."""),
_(u"""* Socializer will be able to handle all users correctly. Before, if an user that was not present in the local storage system was needed, the program was displaying "no specified user". ([#17,](https://code.manuelcortez.net/manuelcortez/socializer/issues/17))"""),
_(u"""* It is possible to use user domains (short names for users) to create timelines. Just write @username and the program will create the needed timeline, regardless if the user is present in your friend list. ([#18,](https://code.manuelcortez.net/manuelcortez/socializer/issues/18))"""),
_(u"""* When displaying someone's profile, the dialog should be loaded dramatically faster than before. A message will be spoken when all data of the profile is loaded."""),
_(u"""* When opening a timeline, if the current user is not allowed to do it, an error message should be displayed and the buffer will not be created. Before the buffer was partially created in the main window. ([#22.](https://code.manuelcortez.net/manuelcortez/socializer/issues/22))"""),
_(u"""* Added basic support to handle group chats. At the current moment it is possible to receive and reply to chat messages only. Chat groups will be placed inside the conversations section. ([#23.](https://code.manuelcortez.net/manuelcortez/socializer/issues/23))"""),
_(u"""* It is possible to delete a conversation buffer from the buffer menu. Deleting a conversation will only dismiss the buffer, no data is deleted at VK."""),
_(u"""* During the first start of Socializer, an invitation will be shown to join the Socializer's group in case the current user is not already a member."""),
_(u"""* It is possible to see how many people has read a wall post when showing it in the dialog. ([#28.](https://code.manuelcortez.net/manuelcortez/socializer/issues/28))"""),
_(u"""* A new tab has been added to the preferences dialog. From the new section, it is possible to control whether socializer should create buffers for the first 1000 audio albums, video albums and communities when starting."""),
_(u"""* Added functionality regarding comments in wall posts:"""),
_(u"""    * when reading a post, you can press enter in any comment to display a dialog from where it is possible to view attachments, translate, check spelling or reply to the thread. If there are replies made to this comment, these will be visible in a section called replies. Pressing enter in a reply will also open the same dialog."""),
_(u"""    * A new "replies" field has been added to the comments' list."""),
_(u"""    * When writing a comment, it is possible to do the same actions available for a post (translate, spell checking and adding attachments)."""),
"",
_(u"""## Changes in version 0.17 (01.01.2019)"""),
"",
_(u"""* Added support for Two factor authentication (2FA). ([#13,](https://code.manuelcortez.net/manuelcortez/socializer/issues/13))"""),
_(u"""* Added update channels in socializer. You can subscribe to the "stable" or "alpha" channel from the preferences dialog and you will receive updates published for those:"""),
_(u"""    * The stable channel will have releases every month, approximately, and is the channel where the code will be more tested and with less bugs. All support and help will be provided for the stable versions only."""),
_(u"""    * The alpha channel will have releases every time a change is added to socializer, it may even include several releases in the same day, but we will try to release only a new version every day. Support will not be provided for alpha versions, as they will be used to test the latest code in the application."""),
_(u"""* Now it is possible to send voice messages from socializer. Voice messages are available from the "add" button in any conversation buffer."""),
_(u"""* tokens generated by socializer will never expire. ([#3,](https://code.manuelcortez.net/manuelcortez/socializer/issues/3))"""),
_(u"""* In order to use all methods available in VK, socializer will use tokens of kate mobile for Android. It means you may receive an email by saying that you've authorised Kate for accessing your account from an Android device."""),
_(u"""* Audio albums are loaded correctly."""),
_(u"""* It is possible to play audios added by friends appearing in the news feed."""),
_(u"""* Adding and removing an audio file to your library works."""),
_(u"""* Unread messages will play a sound when focused."""),
_(u"""* Unread messages will be marked as read when user focuses them."""),
_(u"""* Socializer will handle restricted audio tracks. Restricted songs are not allowed to be played in the user's country. Before, playing a restricted track was generating an exception and playback could not resume. Now, playing an audio track will display an error notification."""),
_(u"""* Fixed an error when people were trying to open a post in an empty buffer, or accessing the menu when there are no posts in the buffer."""),
_(u"""* Now Socializer will not send a notification every 5 minutes."""),
_(u"""* the chat widget now is a multiline text control. It means it is possible to add a new line by pressing shift+Enter, and send the message by pressing enter."""),
_(u"""* Socializer should handle connection errors when loading items in buffers and retry in 2 minutes. Also, connection errors in the chat server are handled and chat should be able to reconnect by itself."""),
_(u"""* When trying to add an audio or video to an album, if the current user does not have any album, it will display an error instead of a traceback."""),
_(u"""* Added popular and suggested songs. This will not work when using alternative tokens."""),
_(u"""* Now it is possible to update the status message, located in your profile."""),
_(u"""* Now it is possible to upload an audio from your computer when adding attachments in a wall post. When adding attachments to a post or message in a conversation, you will have two options: upload from your computer and add a file from your VK profile."""),
_(u"""* Updated Russian translation: thanks to Дарья Ратникова."""),
_(u"""* Fixed some conditions, especially when rendering items in feeds, that were making the client to crash."""),
_(u"""* new versions will include documentation and changelog."""),
_(u"""* A new option for reporting issues directly from the help menu has been added. Issues will be publicly available in the [Project Issues page](https://code.manuelcortez.net/manuelcortez/socializer/issues)"""),
"",
_(u"""## Changes in version 0.16 (13.12.2018)"""),
"",
_(u"""* Added two more buffers: "Pending requests" and "I follow", located in the people buffer, under "friendship requests"."""),
_(u"""* Added an experimental photo viewer. Will show options for displaying  the next and previous photo if the current post contains multiple images. Fullscreen button still doesn't work."""),
_(u"""* Improved the chat features present in the application. Read documentation to get a full understanding about how it works now."""),
_(u"""* Added video management (my videos, video albums and video search). For playing videos, you will be redirected to a website in your browser due to the VK'S policy."""),
_(u"""* Added a setting that allows you to specify if you want socializer to load images when you are opening posts. It could be useful for slow connections or those who  don't want images to be loaded."""),
_(u"""* Added basic tagging for users in posts and comments. You can tag only people in your friends buffer."""),
_(u"""* Added a basic user profile viewer."""),
_(u"""* Added support for listening voice messages in chats. Currently it is not possible to send them."""),
_(u"""* Fixed an error that was making Socializer unable to display chat history properly. It was showing the first 200 items in a  conversation instead the last 200 items. Now chat will be displayed accordingly."""),
_(u"""* Changed the chat history widget from list of items to a read only text box, similar to how it was displayed in skype. Now the widget should be fully visible and messages will work in the same way."""),
_(u"""* It is possible to play songs sent in a chat message by opening them from the attachments panel."""),
_(u"""* Reimplemented most of the audio playback methods (audio albums buffer still not working)."""),
_(u"""* Added some notifications and chat notifications when friends are online and offline. Most notifications can be configured from settings."""),
"",
_(u"""## Changes in build 2016.07.08 (08/07/2016)"""),
"",
_(u"""* Removed platform from "last seen" column in the friends list as it could cause some problems and it was being not so exact."""),
_(u"""* Now deleted audios are not parsed and displayed as "audio removed from library". They are silently ignored."""),
_(u"""* It's possible to open a friends timeline for others."""),
_(u"""* Fixed some strange bugs in the built version."""),
_(u"""* Deactivated accounts will not cause problems in friends lists. They will be displayed as deactivated, wich means that it'll be impossible to interact with those accounts."""),
_(u"""* When opened, the client will set online for the user account, it'll inform VK that this user is currently online. This parameter will be updated every 15 minutes, as stated in the API documentation."""),
_(u"""* When opened, socializer will try to create chat buffers for all unread messages."""),
_(u"""* Update some information on certain posts when an item is selected. For example, update the date of a post."""),
_(u"""* Read messages will be marked as read in the social network, so it'll cause that your friends could see that you have read the message and socializer will not load  chat buffers with read messages at startup."""),
_(u"""* Included a brief   manual in the help menu. Currently available only in English."""),
_(u"""* Included a context menu in list items. Currently there are functions not available. Menu for chat buffers is not implemented yet."""),
_(u"""* Implemented audio album load (in the music  buffer), creation (in the application menu) and deletion (in the application menu, too)."""),
_(u"""* audios can be moved to albums by pressing the menu key or doing a right click in the item, and selecting "move to album". Audios will be added to the album in the next update (there is a programmed update every 3 minutes), or you can update the buffer manually (from the buffer menu in the menu bar). This option will be available in audio buffers (searches, popular and recommended audio buffers, and audio timelines)."""),
_(u"""* Albums will be empty at startup. In order to get the album's audios, you'll have to navigate to the album and press the button "load". It'll load the needed information for displaying and playing the added songs """),
_(u"""* If the config is invalid (for example you changed email or phone in the VK site and didn't changed that in Socializer, or just entered invalid credentials), the program will display an error with instructions for fixing the problem."""),
_(u"""* Now is possible to press enter in the password or email/phone field and it'll do the action of the OK button."""),
_(u"""* If you have set russian as the main language in the VK site, you'll see names in genitive and instrumental cases in certain phrases."""),
_(u"""* Updated russian and spanish translations."""),
"",
_(u"""## Changes on build 2016.05.25"""),
"",
_(u"""* Added grouped controls in the audio searches dialogue. It will be more accessible so screen readers could detect and read the label for radio buttons."""),
_(u"""* Added  documents to the list of supported attachments in the post viewer. The action for this kind of attachments is to open the default web browser, pointing to the URL address of that file."""),
_(u"""* Now It's possible to add photos to the wall, by uploading files to the VK servers. Check the attachments button in the new post dialogue for this. Basically it is possible to add some photos and when the post is sent, photos will start to be uploaded before. At the moment it is not possible to add descriptions to photos. Take in to account that photos will be uploaded when the send button is pressed and the post could take some time before being posted."""),
_(u"""* Added a new option to the menu bar: new timeline. It allows to create a special buffer for a selected user. This buffer could be an audio or wall buffer, when created, the buffer will be updated with items for the specified user or community."""),
_(u"""* Added an user selection control. In dialogues  where an user must be selected, there will be an edit box with a selected name. You need to start writing for changing this name, or just press the down arrow for looking in the users' database. You can start writing and then press the down arrow, so you will see the closest result  to the name you was writing. For example if you want to write manuel, you could write m, a, n, u, and press the down arrow, and you will see the full name in the edit box. Take in to account that you have to make sure that you write a valid user name in the box, otherwise you will see an error."""),
_(u"""* Posts from twitter are displayed in a better way (newline characters (\n) are handled properly instead being displayed)."""),
_(u"""* In the play all function, everything should be cleaned before start the new playback."""),
_(u"""* Now links included in text of a comment are included as attachments (links are "untitled" because it isn't possible to retrieve information for every link without performance issues). This is especially useful when someone posts a link from Twitter."""),
_(u"""* Chat support: There is a new kind of buffer, named chat buffer, wich allows you to have a conversation with someone of your friends. If you receive a message while socializer is opened it will create a chat buffer under chats with the last 200 messages between you and your friend. You can send a message by writing in the edit box and pressing send or enter. At the moment chats buffers can't be removed. Will be added this possibility in the near future."""),
_(u"""* Added your friendlist as a buffer. You can create chats from there by using the send message button."""),
"",
_(u"""## Changes for build 2016.04.5 (5/04/2016)"""),
"",
_(u"""* Updated russian and spanish translations."""),
_(u"""* Fixed minor bugs in the likes button for posts."""),
_(u"""* Now it's possible to open  wall posts by pressing enter, as newsfeeds' posts."""),
_(u"""* It's possible to see reposts in the news and wall buffers, and the post displayer (when you press enter in a post) shows the full post story."""),
_(u"""* Added "load previous items" in the main menu. It should work for wall and news feed. This feature is not available in audio buffers due to API limits."""),
_(u"""* Added more options in the search audio  dialog. Now users could use more parameters and searches will be more precise."""),
_(u"""* Added a new attachments' list. When a post is opened, this list will show up if there are attachments in the current post (attachments are audio, photos, video and links). You will be able to interact with the supported data (at the moment only photos, videos, audio and links are supported, more will be added in future)."""),
_(u"""* Added a changelog  file which could be opened from the help menu."""),
_(u"""* Added a preferences dialogue and a new application menu in the menu bar. From this dialogue you can change the number of items to be loaded for every buffer."""),
]